<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>GameRule</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="GameRule";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GameRule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../model/GameRuleOnline.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/GameRule.html" target="_top">Frames</a></li>
<li><a href="GameRule.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model</div>
<h2 title="Class GameRule" class="title">Class GameRule</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>model.GameRule</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../model/GameRuleOnline.html" title="class in model">GameRuleOnline</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">GameRule</span>
extends java.lang.Object
implements java.io.Serializable</pre>
<div class="block">The Class GameRule.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#model.GameRule">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../model/GameRule.html#GameRule(model.Player[])">GameRule</a></strong>(<a href="../model/Player.html" title="class in model">Player</a>[]&nbsp;players)</code>
<div class="block">Instantiates a new game rule who specify all the rule and parameter of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../model/GameRule.html#GameRule(model.Player[],%20boolean)">GameRule</a></strong>(<a href="../model/Player.html" title="class in model">Player</a>[]&nbsp;playersView,
        boolean&nbsp;passerTour)</code>
<div class="block">Instantiates a new game rule.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../model/GameRule.html#GameRule(java.lang.String)">GameRule</a></strong>(java.lang.String&nbsp;name)</code>
<div class="block">Instantiates a new game rule.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/GameRule.html#getActualPlayer()">getActualPlayer</a></strong>()</code>
<div class="block">Gets the actual player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../model/Map.html" title="class in model">Map</a></code></td>
<td class="colLast"><code><strong><a href="../model/GameRule.html#getMap()">getMap</a></strong>()</code>
<div class="block">Gets the map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../model/GameRule.html#getPasserTour()">getPasserTour</a></strong>()</code>
<div class="block">Gets the value of skip lap.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../model/Player.html" title="class in model">Player</a>[]</code></td>
<td class="colLast"><code><strong><a href="../model/GameRule.html#getPlayers()">getPlayers</a></strong>()</code>
<div class="block">Gets the players.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../model/Player.html" title="class in model">Player</a>[]</code></td>
<td class="colLast"><code><strong><a href="../model/GameRule.html#getScoreTab()">getScoreTab</a></strong>()</code>
<div class="block">Gets the score tab.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../model/GameRule.html#playersCanPlay()">playersCanPlay</a></strong>()</code>
<div class="block">check if a player can play.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/GameRule.html#save(java.lang.String)">save</a></strong>(java.lang.String&nbsp;nom)</code>
<div class="block">Save the game with the specify name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/GameRule.html#setActualPlayer(int)">setActualPlayer</a></strong>(int&nbsp;a)</code>
<div class="block">Sets the actual player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/GameRule.html#setRandom()">setRandom</a></strong>()</code>
<div class="block">Sets a random order for the players and there relative origin corner of start.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../model/GameRule.html#testSave(java.lang.String)">testSave</a></strong>(java.lang.String&nbsp;nom)</code>
<div class="block">Test if the save can be done.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GameRule(model.Player[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GameRule</h4>
<pre>public&nbsp;GameRule(<a href="../model/Player.html" title="class in model">Player</a>[]&nbsp;players)</pre>
<div class="block">Instantiates a new game rule who specify all the rule and parameter of the game.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>players</code> - all the player of the game</dd></dl>
</li>
</ul>
<a name="GameRule(model.Player[], boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GameRule</h4>
<pre>public&nbsp;GameRule(<a href="../model/Player.html" title="class in model">Player</a>[]&nbsp;playersView,
        boolean&nbsp;passerTour)</pre>
<div class="block">Instantiates a new game rule.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>playersView</code> - the players view</dd><dd><code>passerTour</code> - the passer tour</dd></dl>
</li>
</ul>
<a name="GameRule(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GameRule</h4>
<pre>public&nbsp;GameRule(java.lang.String&nbsp;name)</pre>
<div class="block">Instantiates a new game rule.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - the name of the save</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPasserTour()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPasserTour</h4>
<pre>public&nbsp;boolean&nbsp;getPasserTour()</pre>
<div class="block">Gets the value of skip lap.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the skip lap</dd></dl>
</li>
</ul>
<a name="setRandom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRandom</h4>
<pre>public&nbsp;void&nbsp;setRandom()</pre>
<div class="block">Sets a random order for the players and there relative origin corner of start.</div>
</li>
</ul>
<a name="getScoreTab()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScoreTab</h4>
<pre>public&nbsp;<a href="../model/Player.html" title="class in model">Player</a>[]&nbsp;getScoreTab()</pre>
<div class="block">Gets the score tab.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the score tab</dd></dl>
</li>
</ul>
<a name="getPlayers()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayers</h4>
<pre>public&nbsp;<a href="../model/Player.html" title="class in model">Player</a>[]&nbsp;getPlayers()</pre>
<div class="block">Gets the players.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the players</dd></dl>
</li>
</ul>
<a name="getMap()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMap</h4>
<pre>public&nbsp;<a href="../model/Map.html" title="class in model">Map</a>&nbsp;getMap()</pre>
<div class="block">Gets the map.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the map</dd></dl>
</li>
</ul>
<a name="getActualPlayer()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getActualPlayer</h4>
<pre>public&nbsp;int&nbsp;getActualPlayer()</pre>
<div class="block">Gets the actual player.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the actual player</dd></dl>
</li>
</ul>
<a name="setActualPlayer(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setActualPlayer</h4>
<pre>public&nbsp;void&nbsp;setActualPlayer(int&nbsp;a)</pre>
<div class="block">Sets the actual player.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>a</code> - the new actual player</dd></dl>
</li>
</ul>
<a name="playersCanPlay()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playersCanPlay</h4>
<pre>public&nbsp;boolean&nbsp;playersCanPlay()</pre>
<div class="block">check if a player can play.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true, if successful</dd></dl>
</li>
</ul>
<a name="testSave(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testSave</h4>
<pre>public&nbsp;boolean&nbsp;testSave(java.lang.String&nbsp;nom)</pre>
<div class="block">Test if the save can be done.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>nom</code> - the name of the save</dd>
<dt><span class="strong">Returns:</span></dt><dd>true, if successful</dd></dl>
</li>
</ul>
<a name="save(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save(java.lang.String&nbsp;nom)</pre>
<div class="block">Save the game with the specify name.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>nom</code> - the name of the save</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GameRule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../model/GameRuleOnline.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/GameRule.html" target="_top">Frames</a></li>
<li><a href="GameRule.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
